[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGObjectList.First

First non-nil item

## Declaration

Source position: fgl.pp line 189

`public property TFPGObjectList.First : T read GetFirst write SetFirst;`

## Description

First returns the first non-nil item. If no such element is present, Nil is returned.

## See also

TFPSList.First |  | Pointer to first non-empty item in the list
TFPGList.Last |  | Last non-empty item
TFPSList.Pack |  | Remove empty items from the list